// Generated by gir (https://github.com/gtk-rs/gir @ 5327f5be4615)
// from 
// from gir-files (https://github.com/gtk-rs/gir-files.git @ 62da9eb7c4bd)
// DO NOT EDIT

#include "manual.h"
#include <stdalign.h>
#include <stdio.h>

int main() {
    printf("%s;%zu;%zu\n", "AsAgreement", sizeof(AsAgreement), alignof(AsAgreement));
    printf("%s;%zu;%zu\n", "AsAgreementClass", sizeof(AsAgreementClass), alignof(AsAgreementClass));
    printf("%s;%zu;%zu\n", "AsAgreementKind", sizeof(AsAgreementKind), alignof(AsAgreementKind));
    printf("%s;%zu;%zu\n", "AsAgreementSection", sizeof(AsAgreementSection), alignof(AsAgreementSection));
    printf("%s;%zu;%zu\n", "AsAgreementSectionClass", sizeof(AsAgreementSectionClass), alignof(AsAgreementSectionClass));
    printf("%s;%zu;%zu\n", "AsArtifact", sizeof(AsArtifact), alignof(AsArtifact));
    printf("%s;%zu;%zu\n", "AsArtifactClass", sizeof(AsArtifactClass), alignof(AsArtifactClass));
    printf("%s;%zu;%zu\n", "AsArtifactKind", sizeof(AsArtifactKind), alignof(AsArtifactKind));
    printf("%s;%zu;%zu\n", "AsBranding", sizeof(AsBranding), alignof(AsBranding));
    printf("%s;%zu;%zu\n", "AsBrandingClass", sizeof(AsBrandingClass), alignof(AsBrandingClass));
    printf("%s;%zu;%zu\n", "AsBrandingColorIter", sizeof(AsBrandingColorIter), alignof(AsBrandingColorIter));
    printf("%s;%zu;%zu\n", "AsBundle", sizeof(AsBundle), alignof(AsBundle));
    printf("%s;%zu;%zu\n", "AsBundleClass", sizeof(AsBundleClass), alignof(AsBundleClass));
    printf("%s;%zu;%zu\n", "AsBundleKind", sizeof(AsBundleKind), alignof(AsBundleKind));
    printf("%s;%zu;%zu\n", "AsCacheFlags", sizeof(AsCacheFlags), alignof(AsCacheFlags));
    printf("%s;%zu;%zu\n", "AsCategory", sizeof(AsCategory), alignof(AsCategory));
    printf("%s;%zu;%zu\n", "AsCategoryClass", sizeof(AsCategoryClass), alignof(AsCategoryClass));
    printf("%s;%zu;%zu\n", "AsChassisKind", sizeof(AsChassisKind), alignof(AsChassisKind));
    printf("%s;%zu;%zu\n", "AsCheckResult", sizeof(AsCheckResult), alignof(AsCheckResult));
    printf("%s;%zu;%zu\n", "AsChecksum", sizeof(AsChecksum), alignof(AsChecksum));
    printf("%s;%zu;%zu\n", "AsChecksumClass", sizeof(AsChecksumClass), alignof(AsChecksumClass));
    printf("%s;%zu;%zu\n", "AsChecksumKind", sizeof(AsChecksumKind), alignof(AsChecksumKind));
    printf("%s;%zu;%zu\n", "AsColorKind", sizeof(AsColorKind), alignof(AsColorKind));
    printf("%s;%zu;%zu\n", "AsColorSchemeKind", sizeof(AsColorSchemeKind), alignof(AsColorSchemeKind));
    printf("%s;%zu;%zu\n", "AsComponent", sizeof(AsComponent), alignof(AsComponent));
    printf("%s;%zu;%zu\n", "AsComponentBox", sizeof(AsComponentBox), alignof(AsComponentBox));
    printf("%s;%zu;%zu\n", "AsComponentBoxClass", sizeof(AsComponentBoxClass), alignof(AsComponentBoxClass));
    printf("%s;%zu;%zu\n", "AsComponentBoxFlags", sizeof(AsComponentBoxFlags), alignof(AsComponentBoxFlags));
    printf("%s;%zu;%zu\n", "AsComponentClass", sizeof(AsComponentClass), alignof(AsComponentClass));
    printf("%s;%zu;%zu\n", "AsComponentKind", sizeof(AsComponentKind), alignof(AsComponentKind));
    printf("%s;%zu;%zu\n", "AsComponentScope", sizeof(AsComponentScope), alignof(AsComponentScope));
    printf("%s;%zu;%zu\n", "AsContentRating", sizeof(AsContentRating), alignof(AsContentRating));
    printf("%s;%zu;%zu\n", "AsContentRatingClass", sizeof(AsContentRatingClass), alignof(AsContentRatingClass));
    printf("%s;%zu;%zu\n", "AsContentRatingSystem", sizeof(AsContentRatingSystem), alignof(AsContentRatingSystem));
    printf("%s;%zu;%zu\n", "AsContentRatingValue", sizeof(AsContentRatingValue), alignof(AsContentRatingValue));
    printf("%s;%zu;%zu\n", "AsContext", sizeof(AsContext), alignof(AsContext));
    printf("%s;%zu;%zu\n", "AsContextClass", sizeof(AsContextClass), alignof(AsContextClass));
    printf("%s;%zu;%zu\n", "AsControlKind", sizeof(AsControlKind), alignof(AsControlKind));
    printf("%s;%zu;%zu\n", "AsDataIdMatchFlags", sizeof(AsDataIdMatchFlags), alignof(AsDataIdMatchFlags));
    printf("%s;%zu;%zu\n", "AsDeveloper", sizeof(AsDeveloper), alignof(AsDeveloper));
    printf("%s;%zu;%zu\n", "AsDeveloperClass", sizeof(AsDeveloperClass), alignof(AsDeveloperClass));
    printf("%s;%zu;%zu\n", "AsDisplaySideKind", sizeof(AsDisplaySideKind), alignof(AsDisplaySideKind));
    printf("%s;%zu;%zu\n", "AsFormatKind", sizeof(AsFormatKind), alignof(AsFormatKind));
    printf("%s;%zu;%zu\n", "AsFormatStyle", sizeof(AsFormatStyle), alignof(AsFormatStyle));
    printf("%s;%zu;%zu\n", "AsFormatVersion", sizeof(AsFormatVersion), alignof(AsFormatVersion));
    printf("%s;%zu;%zu\n", "AsIcon", sizeof(AsIcon), alignof(AsIcon));
    printf("%s;%zu;%zu\n", "AsIconClass", sizeof(AsIconClass), alignof(AsIconClass));
    printf("%s;%zu;%zu\n", "AsIconKind", sizeof(AsIconKind), alignof(AsIconKind));
    printf("%s;%zu;%zu\n", "AsImage", sizeof(AsImage), alignof(AsImage));
    printf("%s;%zu;%zu\n", "AsImageClass", sizeof(AsImageClass), alignof(AsImageClass));
    printf("%s;%zu;%zu\n", "AsImageKind", sizeof(AsImageKind), alignof(AsImageKind));
    printf("%s;%zu;%zu\n", "AsInternetKind", sizeof(AsInternetKind), alignof(AsInternetKind));
    printf("%s;%zu;%zu\n", "AsIssue", sizeof(AsIssue), alignof(AsIssue));
    printf("%s;%zu;%zu\n", "AsIssueClass", sizeof(AsIssueClass), alignof(AsIssueClass));
    printf("%s;%zu;%zu\n", "AsIssueKind", sizeof(AsIssueKind), alignof(AsIssueKind));
    printf("%s;%zu;%zu\n", "AsIssueSeverity", sizeof(AsIssueSeverity), alignof(AsIssueSeverity));
    printf("%s;%zu;%zu\n", "AsLaunchable", sizeof(AsLaunchable), alignof(AsLaunchable));
    printf("%s;%zu;%zu\n", "AsLaunchableClass", sizeof(AsLaunchableClass), alignof(AsLaunchableClass));
    printf("%s;%zu;%zu\n", "AsLaunchableKind", sizeof(AsLaunchableKind), alignof(AsLaunchableKind));
    printf("%s;%zu;%zu\n", "AsMarkupKind", sizeof(AsMarkupKind), alignof(AsMarkupKind));
    printf("%s;%zu;%zu\n", "AsMergeKind", sizeof(AsMergeKind), alignof(AsMergeKind));
    printf("%s;%zu;%zu\n", "AsMetadata", sizeof(AsMetadata), alignof(AsMetadata));
    printf("%s;%zu;%zu\n", "AsMetadataClass", sizeof(AsMetadataClass), alignof(AsMetadataClass));
    printf("%s;%zu;%zu\n", "AsMetadataError", sizeof(AsMetadataError), alignof(AsMetadataError));
    printf("%s;%zu;%zu\n", "AsMetadataLocation", sizeof(AsMetadataLocation), alignof(AsMetadataLocation));
    printf("%s;%zu;%zu\n", "AsParseFlags", sizeof(AsParseFlags), alignof(AsParseFlags));
    printf("%s;%zu;%zu\n", "AsPool", sizeof(AsPool), alignof(AsPool));
    printf("%s;%zu;%zu\n", "AsPoolClass", sizeof(AsPoolClass), alignof(AsPoolClass));
    printf("%s;%zu;%zu\n", "AsPoolError", sizeof(AsPoolError), alignof(AsPoolError));
    printf("%s;%zu;%zu\n", "AsPoolFlags", sizeof(AsPoolFlags), alignof(AsPoolFlags));
    printf("%s;%zu;%zu\n", "AsProvided", sizeof(AsProvided), alignof(AsProvided));
    printf("%s;%zu;%zu\n", "AsProvidedClass", sizeof(AsProvidedClass), alignof(AsProvidedClass));
    printf("%s;%zu;%zu\n", "AsProvidedKind", sizeof(AsProvidedKind), alignof(AsProvidedKind));
    printf("%s;%zu;%zu\n", "AsReference", sizeof(AsReference), alignof(AsReference));
    printf("%s;%zu;%zu\n", "AsReferenceClass", sizeof(AsReferenceClass), alignof(AsReferenceClass));
    printf("%s;%zu;%zu\n", "AsReferenceKind", sizeof(AsReferenceKind), alignof(AsReferenceKind));
    printf("%s;%zu;%zu\n", "AsRelation", sizeof(AsRelation), alignof(AsRelation));
    printf("%s;%zu;%zu\n", "AsRelationCheckResult", sizeof(AsRelationCheckResult), alignof(AsRelationCheckResult));
    printf("%s;%zu;%zu\n", "AsRelationCheckResultClass", sizeof(AsRelationCheckResultClass), alignof(AsRelationCheckResultClass));
    printf("%s;%zu;%zu\n", "AsRelationClass", sizeof(AsRelationClass), alignof(AsRelationClass));
    printf("%s;%zu;%zu\n", "AsRelationCompare", sizeof(AsRelationCompare), alignof(AsRelationCompare));
    printf("%s;%zu;%zu\n", "AsRelationError", sizeof(AsRelationError), alignof(AsRelationError));
    printf("%s;%zu;%zu\n", "AsRelationItemKind", sizeof(AsRelationItemKind), alignof(AsRelationItemKind));
    printf("%s;%zu;%zu\n", "AsRelationKind", sizeof(AsRelationKind), alignof(AsRelationKind));
    printf("%s;%zu;%zu\n", "AsRelationStatus", sizeof(AsRelationStatus), alignof(AsRelationStatus));
    printf("%s;%zu;%zu\n", "AsRelease", sizeof(AsRelease), alignof(AsRelease));
    printf("%s;%zu;%zu\n", "AsReleaseClass", sizeof(AsReleaseClass), alignof(AsReleaseClass));
    printf("%s;%zu;%zu\n", "AsReleaseKind", sizeof(AsReleaseKind), alignof(AsReleaseKind));
    printf("%s;%zu;%zu\n", "AsReleaseList", sizeof(AsReleaseList), alignof(AsReleaseList));
    printf("%s;%zu;%zu\n", "AsReleaseListClass", sizeof(AsReleaseListClass), alignof(AsReleaseListClass));
    printf("%s;%zu;%zu\n", "AsReleaseListKind", sizeof(AsReleaseListKind), alignof(AsReleaseListKind));
    printf("%s;%zu;%zu\n", "AsReleaseUrlKind", sizeof(AsReleaseUrlKind), alignof(AsReleaseUrlKind));
    printf("%s;%zu;%zu\n", "AsReview", sizeof(AsReview), alignof(AsReview));
    printf("%s;%zu;%zu\n", "AsReviewClass", sizeof(AsReviewClass), alignof(AsReviewClass));
    printf("%s;%zu;%zu\n", "AsReviewFlags", sizeof(AsReviewFlags), alignof(AsReviewFlags));
    printf("%s;%zu;%zu\n", "AsScreenshot", sizeof(AsScreenshot), alignof(AsScreenshot));
    printf("%s;%zu;%zu\n", "AsScreenshotClass", sizeof(AsScreenshotClass), alignof(AsScreenshotClass));
    printf("%s;%zu;%zu\n", "AsScreenshotKind", sizeof(AsScreenshotKind), alignof(AsScreenshotKind));
    printf("%s;%zu;%zu\n", "AsScreenshotMediaKind", sizeof(AsScreenshotMediaKind), alignof(AsScreenshotMediaKind));
    printf("%s;%zu;%zu\n", "AsSizeKind", sizeof(AsSizeKind), alignof(AsSizeKind));
    printf("%s;%zu;%zu\n", "AsSuggested", sizeof(AsSuggested), alignof(AsSuggested));
    printf("%s;%zu;%zu\n", "AsSuggestedClass", sizeof(AsSuggestedClass), alignof(AsSuggestedClass));
    printf("%s;%zu;%zu\n", "AsSuggestedKind", sizeof(AsSuggestedKind), alignof(AsSuggestedKind));
    printf("%s;%zu;%zu\n", "AsSystemInfo", sizeof(AsSystemInfo), alignof(AsSystemInfo));
    printf("%s;%zu;%zu\n", "AsSystemInfoClass", sizeof(AsSystemInfoClass), alignof(AsSystemInfoClass));
    printf("%s;%zu;%zu\n", "AsSystemInfoError", sizeof(AsSystemInfoError), alignof(AsSystemInfoError));
    printf("%s;%zu;%zu\n", "AsTranslation", sizeof(AsTranslation), alignof(AsTranslation));
    printf("%s;%zu;%zu\n", "AsTranslationClass", sizeof(AsTranslationClass), alignof(AsTranslationClass));
    printf("%s;%zu;%zu\n", "AsTranslationKind", sizeof(AsTranslationKind), alignof(AsTranslationKind));
    printf("%s;%zu;%zu\n", "AsUrgencyKind", sizeof(AsUrgencyKind), alignof(AsUrgencyKind));
    printf("%s;%zu;%zu\n", "AsUrlKind", sizeof(AsUrlKind), alignof(AsUrlKind));
    printf("%s;%zu;%zu\n", "AsUtilsError", sizeof(AsUtilsError), alignof(AsUtilsError));
    printf("%s;%zu;%zu\n", "AsValidator", sizeof(AsValidator), alignof(AsValidator));
    printf("%s;%zu;%zu\n", "AsValidatorClass", sizeof(AsValidatorClass), alignof(AsValidatorClass));
    printf("%s;%zu;%zu\n", "AsValidatorError", sizeof(AsValidatorError), alignof(AsValidatorError));
    printf("%s;%zu;%zu\n", "AsValidatorIssue", sizeof(AsValidatorIssue), alignof(AsValidatorIssue));
    printf("%s;%zu;%zu\n", "AsValidatorIssueClass", sizeof(AsValidatorIssueClass), alignof(AsValidatorIssueClass));
    printf("%s;%zu;%zu\n", "AsValueFlags", sizeof(AsValueFlags), alignof(AsValueFlags));
    printf("%s;%zu;%zu\n", "AsVercmpFlags", sizeof(AsVercmpFlags), alignof(AsVercmpFlags));
    printf("%s;%zu;%zu\n", "AsVideo", sizeof(AsVideo), alignof(AsVideo));
    printf("%s;%zu;%zu\n", "AsVideoClass", sizeof(AsVideoClass), alignof(AsVideoClass));
    printf("%s;%zu;%zu\n", "AsVideoCodecKind", sizeof(AsVideoCodecKind), alignof(AsVideoCodecKind));
    printf("%s;%zu;%zu\n", "AsVideoContainerKind", sizeof(AsVideoContainerKind), alignof(AsVideoContainerKind));
    return 0;
}
